extends: [stylelint-config-sass-guidelines, stylelint-config-property-sort-order-smacss]
plugins: [stylelint-order]
rules:
  max-nesting-depth: 3

  # About SCSS rules: Hugo uses Libsass by default, so later features included only in Dart Sass are not available
  # Hugo supports Dart Sass if installed, but the sass NPM package does not meet Hugo's expectations
  # For future reference, in Hugo documentation: https://gohugo.io/hugo-pipes/transpile-sass-to-css/#dart-sass
  # Meanwhile, deactivate some rules that are not relevant when using Libsass
  scss/no-global-function-names: null
